;;; cmail-icons-init.el

(cond ((string-match "^xemacs" (symbol-name debian-emacs-flavor))

       (defun cmail-make-toolbar-icon (name)
         "Create toolbar icon."
         (let ((filename)
               (ext (if (featurep 'xpm) ".xpm" ".xbm")))
           (setq filename (concat name ext))
           (setq filename
                 (expand-file-name filename cmail-glyph-directory))
           (toolbar-make-button-list filename)))

       (setq cmail-glyph-directory "/usr/share/pixmaps/cmail"
             cmail-toolbar-get-mail-icon
             (cmail-make-toolbar-icon "get-mail")
             cmail-toolbar-write-mail-icon
             (cmail-make-toolbar-icon "write-mail")
             cmail-toolbar-folders-icon
             (cmail-make-toolbar-icon "cmail-folders")
             cmail-toolbar-reply-icon
             (cmail-make-toolbar-icon "reply")
             cmail-toolbar-reply-include-icon
             (cmail-make-toolbar-icon "reply-include")
             cmail-toolbar-follow-icon
             (cmail-make-toolbar-icon "follow")
             cmail-toolbar-follow-include-icon
             (cmail-make-toolbar-icon "follow-include")
             cmail-toolbar-forward-icon
             (cmail-make-toolbar-icon "forward")
             cmail-toolbar-delete-icon
             (cmail-make-toolbar-icon "delete")
             cmail-toolbar-update-icon
             (cmail-make-toolbar-icon "update")
             cmail-toolbar-copy-icon
             (cmail-make-toolbar-icon "copy")
             cmail-toolbar-rename-icon
             (cmail-make-toolbar-icon "rename"))))

;;; cmail-icons-init.el ends here
